ranges::v3::concepts::Readable Struct Reference

## Public Types

template<typename I >
using | common_reference_t = ranges::common_reference_t< reference_t< I >, value_t< I > & >
template<typename I >
using | reference_t = reference_t_< I >
template<typename I >
using | rvalue_reference_t = rvalue_reference_t_< I >
template<typename I >
using | value_t = meta::_t< value_type< I > >

## Public Member Functions

template<typename I >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< CommonReference, reference_t< I > &&, value_t< I > &>(), concepts::model_of< CommonReference, reference_t< I > &&, rvalue_reference_t< I > &&>(), concepts::model_of< CommonReference, rvalue_reference_t< I > &&, value_t< I > const &>()))